package intrinsic.mx.managers;

public class ToolTipManagerImpl extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.managers.IToolTipManager {

	/** Accessors */
	public intrinsic.mx.effects.Effect hideEffect;
	public double hideDelay;
	public double showDelay;
	public boolean enabled;
	public intrinsic.mx.core.IToolTip currentToolTip;
	public intrinsic.mx.effects.Effect showEffect;
	public intrinsic.Class toolTipClass;
	public intrinsic.flash.display.DisplayObject currentTarget;
	public double scrubDelay;

	/** Variables */
	public boolean initialized;
	public boolean isError;
	public intrinsic.flash.utils.Timer hideTimer;
	public String currentText;
	public intrinsic.flash.utils.Timer showTimer;
	public intrinsic.flash.utils.Timer scrubTimer;
	public intrinsic.flash.display.DisplayObject previousTarget;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ToolTipManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.IToolTipManager getInstance();

/** Methods */
public native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2);
public native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3);
public native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3, intrinsic.mx.core.IUIComponent arg4);
public native void showEffectEnded();
public native void errorTipMouseOverHandler(intrinsic.flash.events.MouseEvent arg0);
public native void checkIfTargetChanged(intrinsic.flash.display.DisplayObject arg0);
public native void destroyToolTip(intrinsic.mx.core.IToolTip arg0);
public native void registerErrorString(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);
public native void findTarget(intrinsic.flash.display.DisplayObject arg0);
public native void positionTip();
public native void errorTipMouseOutHandler(intrinsic.flash.events.MouseEvent arg0);
public native void showTimer_timerHandler(intrinsic.flash.events.TimerEvent arg0);
public native void sizeTip(intrinsic.mx.core.IToolTip arg0);
public native void systemManager_mouseDownHandler(intrinsic.flash.events.MouseEvent arg0);
public native void hideTimer_timerHandler(intrinsic.flash.events.TimerEvent arg0);
public native void hideEffectEnded();
public native void hideTip();
public native void targetChanged();
public native void changeHandler(intrinsic.flash.events.Event arg0);
public native void toolTipMouseOverHandler(intrinsic.flash.events.MouseEvent arg0);
public native void toolTipMouseOutHandler(intrinsic.flash.events.MouseEvent arg0);
public native void initialize();
public native void createTip();
public native void initializeTip();
public native void reset();
public native void showTip();
public native void registerToolTip(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);
public native void effectEndHandler(intrinsic.mx.events.EffectEvent arg0);

}
